﻿@page
@model Project_PRN221_1.Pages.Login.LoginModel
@{
}
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-6">
            <h2 class="text-center mb-4">Login</h2>
            <form method="post" class="needs-validation" novalidate>
                <div asp-validation-summary="All" class="text-danger"></div>
                @if (Model.activationLink != null)
                {
                    <a href="@Model.activationLink">Active now</a>
                }
                <div class="mb-3">
                    <label for="username" class="form-label">Username:</label>
                    <input type="text" class="form-control" id="username" name="username" required>
                    <div class="invalid-feedback">
                        Please enter your username.
                    </div>
                </div>
                <div class="mb-3">
                    <label for="password" class="form-label">Password:</label>
                    <input type="password" class="form-control" id="password" name="password" required>
                    <div class="invalid-feedback">
                        Please enter your password.
                    </div>
                </div>
                <div class="mb-3 text-center">
                    <button type="submit" class="btn btn-primary">Login</button>
                </div>
                <p>Do not have an account? <a href="/login/regist">Regist</a></p>
                <p>Forget password? <a href="/login/forgetpassword">Click here</a></p>
            </form>
        </div>
    </div>
</div>


